FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Development

 
 
LinkBack Thread Tools
 
Old 01-13-2011, 03:20 PM
Sebastian Pipping
 
Default Need help with updating LVM in genkernel

Hello!


As you may have seen in my comments on bugs [1] and [2], I need help
with getting LVM to compile from genkernel.

I get errors for all of 2.02.28, 2.02.36 and 2.02.74.
I have tried applying patches from Gentoo ebuilds, too.

Please help. These commands can get you started:

# git clone git://git.overlays.gentoo.org/proj/genkernel.git
# git checkout -t origin/experimental
# sudo mv /sbin/lvm.static{,_BACKUP}
# sudo GK_SHARE="$PWD" ./genkernel initramfs

Patches found in ${GK_SHARE}/patches/lvm/${LVM_VER}/ are auto-applied
for you.

Thanks in advance!

Best,



Sebastian


[1] https://bugs.gentoo.org/show_bug.cgi?id=267383
[2] https://bugs.gentoo.org/show_bug.cgi?id=255196
 
Old 01-13-2011, 07:39 PM
Amadeusz Żołnowski
 
Default Need help with updating LVM in genkernel

Excerpts from Sebastian Pipping's message of Thu Jan 13 17:20:00 +0100 2011:
> I get errors for all of 2.02.28, 2.02.36 and 2.02.74.

I've create some draft-patch for lvm 2.02.28. Please let me know if
it's OK, and I'll improve it and check for another versions. Patch is
posted under bug #255196 [0].

[0] https://bugs.gentoo.org/show_bug.cgi?id=255196


Cheers,
--
Amadeusz Żołnowski

PGP key fpr: C700 CEDE 0C18 212E 49DA 4653 F013 4531 E1DB FAB5
 
Old 01-14-2011, 04:16 PM
Sebastian Pipping
 
Default Need help with updating LVM in genkernel

On 01/13/11 21:39, Amadeusz Żołnowski wrote:
> Excerpts from Sebastian Pipping's message of Thu Jan 13 17:20:00 +0100 2011:
>> I get errors for all of 2.02.28, 2.02.36 and 2.02.74.
>
> I've create some draft-patch for lvm 2.02.28.

Awesome! Thank you!


> Please let me know if
> it's OK, and I'll improve it

I applied some minor fixes, pushed to experimental branch.

http://git.overlays.gentoo.org/gitweb/?p=proj/genkernel.git;a=shortlog;h=refs/heads/experimental


> and check for another versions.

Please do. Getting 2.02.74 to compile too would rock.
A patch for --no-export-dynamic (should work, see [1]) is in place
already, but more work is needed. If you can help once more, that would
be very appreciated.

Best,



Sebastian


[1]
http://git.overlays.gentoo.org/gitweb/?p=proj/genkernel.git;a=commitdiff;h=ed6b7ea69b197da6891ce bbf49693de44c0ba16f
 
Old 01-14-2011, 04:53 PM
Amadeusz Żołnowski
 
Default Need help with updating LVM in genkernel

Excerpts from Sebastian Pipping's message of Fri Jan 14 18:16:22 +0100 2011:
> > and check for another versions.
>
> Please do. Getting 2.02.74 to compile too would rock.
> A patch for --no-export-dynamic (should work, see [1]) is in place
> already, but more work is needed. If you can help once more, that would
> be very appreciated.

OK, I'll fix it tomorrow.
--
Amadeusz Żołnowski

PGP key fpr: C700 CEDE 0C18 212E 49DA 4653 F013 4531 E1DB FAB5
 

Thread Tools




All times are GMT. The time now is 07:23 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org